Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 72 lines (61 sloc) 1.831 kB
5687b8d @dchelimsky dev: much simpler management of multiple gemfiles
dchelimsky authored
1 source "http://rubygems.org"
2
3 %w[rspec rspec-core rspec-expectations rspec-mocks rspec-rails].each do |lib|
4 library_path = File.expand_path("../../#{lib}", __FILE__)
5 if File.exist?(library_path)
6 gem lib, :path => library_path
7 elsif ENV["CI"] || ENV["USE_GIT_REPOS"]
8 gem lib, :git => "git://github.com/rspec/#{lib}.git"
9 else
10 gem lib
11 end
12 end
13
14 gem 'rake', '0.9.2'
15 gem 'rdoc'
16 gem 'sqlite3-ruby', :require => 'sqlite3'
17 gem "cucumber", "1.0.0"
18 gem "aruba", "0.4.2"
19 gem "ZenTest", "~> 4.4.2"
20 gem 'ammeter', '~> 0.1'
21
22 platforms :jruby do
23 gem "jruby-openssl"
24 end
25
26 # gem "webrat", "0.7.3"
27 # gem "capybara", "~> 0.4"
28 # gem "capybara", "1.0.0.beta1"
29
30 group :development do
31 gem 'gherkin', '2.4.5'
32 gem "rcov", "0.9.9"
33 gem "relish", "~> 0.5.0"
34 gem "guard-rspec", "0.1.9"
35
36 if RUBY_PLATFORM =~ /darwin/
37 gem "growl", "1.0.3"
38 gem "autotest-fsevent", "~> 0.2.4"
39 gem "autotest-growl", "~> 0.2.9"
40 end
41
42 platforms :mri_18 do
43 gem 'ruby-debug'
44 end
45
46 platforms :mri_19 do
47 if RUBY_VERSION == '1.9.2'
48 gem 'linecache19', '~> 0.5.12'
49 gem 'ruby-debug19', '~> 0.11.6'
50 gem 'ruby-debug-base19', '~> 0.11.25'
51 end
52 end
53
54 platforms :ruby_18, :ruby_19 do
55 gem "rb-fsevent", "~> 0.3.9"
56 gem "ruby-prof", "~> 0.9.2"
57 end
58 end
59
012cee7 @dchelimsky ci: move file refs
dchelimsky authored
60 case version = ENV['RAILS_VERSION'] || File.read(File.expand_path("../.rails-version", __FILE__)).chomp
5687b8d @dchelimsky dev: much simpler management of multiple gemfiles
dchelimsky authored
61 when /master/
62 gem "rails", :git => "git://github.com/rails/rails.git"
63 gem "journey", :git => "git://github.com/rails/journey.git"
64 when /3-0-stable/
65 gem "rails", :git => "git://github.com/rails/rails.git", :branch => "3-0-stable"
66 gem "arel", :git => "git://github.com/rails/arel.git", :branch => "2-0-stable"
67 when /3-1-stable/
68 gem "rails", :git => "git://github.com/rails/rails.git", :branch => "3-1-stable"
69 else
70 gem "rails", version
71 end
Something went wrong with that request. Please try again.